%define upstream_name recommended
%define upstream_version 0.003

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	Load recommended modules on demand when available
License:	ASL 2.0
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Module::Runtime)

BuildArch:	noarch

%description
This module gathers a list of recommended modules and versions and
provides means to check if they are available. It is a thin veneer
around Module::Runtime.

There are two major benefits over using Module::Runtime directly:

*   Self-documents recommended modules together with versions at the top
    of your code, while still loading them on demand elsewhere.

*   Dies if a recommended module exists but fails to compile, but
    doesn't die if the module is missing or the version is insufficient.
    This is not something that Module::Runtime offers in a single
    subroutine.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.3.0-4pclos2017
- rebuild against updates

